public class Piece {

	private int location;
	private int playerNumber;
	private boolean king;
	
	public Piece (int l, int n) {
		location = l;
		playerNumber = n;
		king = false;
	}
	
	public Piece (Piece p) {
		location = p.getLocation();
		playerNumber = p.getOwner();
		king = p.isKing();
	}
	
	public int getLocation () {
		return location;
	}
	
	public int getOwner() {
		return playerNumber;
	}
	
	public boolean ownedBy (int num) {
		return (num == playerNumber);
	}
	
	public void movePiece (int l) {
		location = l;
		
		if (playerNumber == 0 && location > 28) {
			king = true;
		} else if (playerNumber == 1 && location < 5) {
			king = true;
		}
	}
	
	public boolean isKing () {
		return king;
	}

	public void kingMe() {
		king = true;
	}
	
	public String toString () {
		return getOwner() + " is at " + getLocation();
	}
}
