import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;
import java.util.Random;

public class ProfessionalLosers {

	public static void main (String [] args) throws Exception {
		System.out.println ("Would you like to play a game?");
		System.out.print ("How many players? ");
		BufferedReader in = new BufferedReader (new InputStreamReader (System.in));
		
		int numPlayers = 0;
		try {
			numPlayers = new Integer(in.readLine()).intValue();	
		} catch (Exception e) {
			System.err.println ("Error reading number of players.");
			System.exit (0);
		}
		
		Checkers game = new Checkers();
		
		Random rand = new Random();
		
		if (numPlayers == 2) {

			String name = "";
			System.out.print ("What is the name of Player 1? [Dave] ");
			name = in.readLine ();
			if (name.equals ("")) {
				name = "Dave";
			}
			Player dave = new HumanPlayer (name);
			System.out.print ("What is the name of Player 2? [Joshua] ");
			name = in.readLine ();
			if (name.equals ("")) {
				name = "Joshua";
			}
			
			Player joshua = new HumanPlayer (name);

			game.addPlayer (dave);
			game.addPlayer (joshua);
		} else if (numPlayers == 1) {
			boolean flag = rand.nextBoolean();
			
			String value = "";
			
			int computerPlayerNumber = Integer.MAX_VALUE;
			
			while (computerPlayerNumber != 1 && computerPlayerNumber != 2) {
				System.out.print ("Do you want the AI to be player 1 or 2? [1] ");
				value = in.readLine ();
			
				if (value.equals ("")) {
					value = "1";
				}
				computerPlayerNumber = new Integer (value).intValue();
			}
			
			System.out.print ("What is the name of the human player? [Dave] ");
			value = in.readLine();
			
			if (value.equals ("")) {
				value = "Dave";
			}
			Player dave = new HumanPlayer (value);
			Player hal = new AIPlayer ("HAL");
			
			if (computerPlayerNumber == 1) {
				game.addPlayer (hal);
				game.addPlayer (dave);
			} else {
				game.addPlayer (dave);
				game.addPlayer (hal);
			}
		} else if (numPlayers == 0) {
			boolean flag = rand.nextBoolean();
			
			Player hal = new AIPlayer ("HAL");
			Player wopr = new AIPlayer ("WOPR");
			
			if (flag) {
				game.addPlayer (hal);
				game.addPlayer (wopr);
			} else {
				game.addPlayer (wopr);
				game.addPlayer (hal);
			}
		} else {
			System.err.println ("You really need to have at least 0 players or at most 2, because this is checkers.");
			System.exit(0);
		}
		
		game.startGame();
	}
}

